CVC4::Expr::const_iterator Class Reference

Iterator type for the children of an Expr. More...

`#include <expr.h>`

Inheritance diagram for CVC4::Expr::const_iterator:
[legend]
Collaboration diagram for CVC4::Expr::const_iterator:
[legend]

## Public Member Functions

| const_iterator ()
| const_iterator (const const_iterator &it)
const_iterator & | operator= (const const_iterator &it)
| ~const_iterator ()
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
Expr | operator* () const

## Friends

class | Expr

## Detailed Description

Iterator type for the children of an Expr.

Definition at line 415 of file expr.h.

## Constructor & Destructor Documentation

## const_iterator() [1/2]

CVC4::Expr::const_iterator::const_iterator | ( |  | ) |

## const_iterator() [2/2]

CVC4::Expr::const_iterator::const_iterator | ( | const const_iterator & | it | ) |

## ~const_iterator()

CVC4::Expr::const_iterator::~const_iterator | ( |  | ) |

## Member Function Documentation

## operator!=()

bool CVC4::Expr::const_iterator::operator!= | ( | const const_iterator & | it | ) | const

inline

Definition at line 429 of file expr.h.

## operator*()

Expr CVC4::Expr::const_iterator::operator* | ( |  | ) | const

## operator++() [1/2]

const_iterator & CVC4::Expr::const_iterator::operator++ | ( |  | ) |

## operator++() [2/2]

const_iterator CVC4::Expr::const_iterator::operator++ | ( | int |  | ) |

## operator=()

const_iterator & CVC4::Expr::const_iterator::operator= | ( | const const_iterator & | it | ) |

## operator==()

bool CVC4::Expr::const_iterator::operator== | ( | const const_iterator & | it | ) | const

## Friends And Related Symbol Documentation

## Expr

friend class Expr

friend

Definition at line 421 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h